<div class="modal-header">
    @if (ChildContent != null)
    {
        @ChildContent
    }
    else
    {
        <ModalDialogHeaderTitle Title="@Title"/>
    }
    @if (IsShowHeaderCloseButton)
    {
        @* <button type="button" class="btn-close" aria-label="Close" @onclick="@OnCloseClick"></button> *@
        <button type="button" data-bs-dismiss="modal" aria-label="Close" class="text-gray-400 bg-transparent hover:bg-gray-200 hover:text-gray-900 rounded-lg text-sm w-8 h-8 top-2.5 right-2.5 inline-flex items-center justify-center dark:hover:bg-gray-600 dark:hover:text-white">
            <svg aria-hidden="true" class="w-5 h-5" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg">
                <path fill-rule="evenodd" d="M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z" clip-rule="evenodd"></path>
            </svg>
            <span class="sr-only">Close modal</span>
        </button>
    }
</div>

@code {
    /// <summary>
    /// 获得/设置 弹窗标题
    /// </summary>
    [Parameter]
    public string? Title { get; set; }

    /// <summary>
    /// 获得/设置 是否显示 Header 关闭按钮
    /// </summary>
    [Parameter]
    public bool IsShowHeaderCloseButton { get; set; } = true;
    
    [Parameter]
    public RenderFragment? ChildContent { get; set; }
}